
Running the Test Solution

**Step 1** Ensure you have docker installed and setup the required infrastructure

```
docker-compose -f docker-compose-test-inf.yml -p development up -d
```

**Step 2** Open ProxySqlBug.sln and run the xUnit test.

**Expected:** Both tests should pass as they run the same code, the only difference in failure is the connection port which is using the ProxySQL port.  

**Actual:** ProxySQl test fails with the following exception:
  

``` 
System.ArgumentException : Source array was not long enough. Check the source index, length, and the array's lower bounds. (Parameter 'sourceArray')

 
Stack Trace: 

Array.Copy(Array sourceArray, Int32 sourceIndex, Array destinationArray, Int32 destinationIndex, Int32 length, Boolean reliable)
Array.Copy(Array sourceArray, Int32 sourceIndex, Array destinationArray, Int32 destinationIndex, Int32 length)
MySqlPacket.ReadStringAsBytes()
OkPacket.ctor(MySqlPacket packet)
NativeDriver.GetResult(Int32& affectedRow, Int64& insertedId)
Driver.GetResult(Int32 statementId, Int32& affectedRows, Int64& insertedId)
Driver.NextResult(Int32 statementId, Boolean force)
MySqlDataReader.NextResult()
MySqlCommand.ExecuteReader(CommandBehavior behavior)
MySqlCommand.ExecuteReader()
MySqlCommand.ExecuteNonQuery()
MySqlConnection.BeginTransaction(IsolationLevel iso, String scope)
MySqlConnection.BeginTransaction()
Audit.InsertAudits(String connectionString) line 32
ProxySqlBugTests.InsertViaProxySql_ExpectPass() line 50

--- End of stack trace from previous location ---
```